# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-09-29 11:37
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ('customer', '0012_auto_20170929_1413'),
    ]

    operations = [
        migrations.CreateModel(
            name='Contacts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='In case we need to call you about your order', max_length=128, verbose_name='Phone number')),
                ('email', models.EmailField(max_length=255, verbose_name='Email')),
                ('name', models.CharField(max_length=255, verbose_name='Фамилия Имя Отчество')),
            ],
            options={
                'verbose_name': 'контакты',
                'verbose_name_plural': 'контакты',
            },
        ),
        migrations.RemoveField(
            model_name='productalert',
            name='email',
        ),
        migrations.RemoveField(
            model_name='productalert',
            name='id',
        ),
        migrations.RemoveField(
            model_name='productalert',
            name='name',
        ),
        migrations.RemoveField(
            model_name='productalert',
            name='phone_number',
        ),
        migrations.AddField(
            model_name='productalert',
            name='contacts_ptr',
            field=models.OneToOneField(auto_created=True, default=0, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='customer.Contacts'),
            preserve_default=False,
        ),
    ]
